### MATLAB_SBML_STRUCTURE_FUNCTIONS\TRIGGER

The functions allow users to create and work with the SBML Trigger structure.

Function are:

#### Trigger = Trigger_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML Trigger structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### initialValue = Trigger_getInitialValue(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the value of the initialValue attribute

#### math = Trigger_getMath(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the value of the math attribute

#### metaid = Trigger_getMetaid(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the value of the metaid attribute

#### persistent = Trigger_getPersistent(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the value of the persistent attribute

#### sboTerm = Trigger_getSBOTerm(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the value of the sboTerm attribute

#### value = Trigger_isSetMath(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. value =
   - 1 if the math attribute is set
   - 0 otherwise

#### value = Trigger_isSetMetaid(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = Trigger_isSetSBOTerm(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### SBMLTrigger = Trigger_setInitialValue(SBMLTrigger, initialValue)

Takes

1. SBMLTrigger, an SBML Trigger structure
2. initialValue, an integer (0/1) representing the value of initialValue to be set

Returns

1. the SBML Trigger structure with the new value for the initialValue attribute

#### SBMLTrigger = Trigger_setMath(SBMLTrigger, math)

Takes

1. SBMLTrigger, an SBML Trigger structure
2. math; string representing the math expression math to be set

Returns

1. the SBML Trigger structure with the new value for the math attribute

#### SBMLTrigger = Trigger_setMetaid(SBMLTrigger, metaid)

Takes

1. SBMLTrigger, an SBML Trigger structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML Trigger structure with the new value for the metaid attribute

#### SBMLTrigger = Trigger_setPersistent(SBMLTrigger, persistent)

Takes

1. SBMLTrigger, an SBML Trigger structure
2. persistent, an integer (0/1) representing the value of persistent to be set

Returns

1. the SBML Trigger structure with the new value for the persistent attribute

#### SBMLTrigger = Trigger_setSBOTerm(SBMLTrigger, sboTerm)

Takes

1. SBMLTrigger, an SBML Trigger structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML Trigger structure with the new value for the sboTerm attribute

#### SBMLTrigger = Trigger_unsetMath(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the SBML Trigger structure with the math attribute unset

#### SBMLTrigger = Trigger_unsetMetaid(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the SBML Trigger structure with the metaid attribute unset

#### SBMLTrigger = Trigger_unsetSBOTerm(SBMLTrigger)

Takes

1. SBMLTrigger, an SBML Trigger structure

Returns

1. the SBML Trigger structure with the sboTerm attribute unset